Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

BootRun does not consider configured javaLauncher when determining JVM arguments for an optimized launch #24512

Closed
jeffbswope opened this issue Dec 15, 2020 · 0 comments
Assignees
Milestone

Comments

@jeffbswope
Copy link

@jeffbswope jeffbswope commented Dec 15, 2020

As of Spring Boot 2.4.1 and Grade 6.7.1, BootRun is assuming that the JVM that will be running the application is the same as the version running Gradle. The toolchain support means this may no longer be the case.

This leads to the re-appearance of a warning message first addressed in this fix:
scope-demo@af223c2

When running Gradle in Java8 and targeting Java15, the warning message arises due to the inclusion of the deprecated -Xverify:none parameter.

More details and minimal repro here: https://github.com/jeffbswope/spring-boot-grade-toolchain

@wilkinsona wilkinsona changed the title BootRun does not consider configured javaLauncher BootRun does not consider configured javaLauncher when determining JVM arguments for an optimized launch Dec 15, 2020
@wilkinsona wilkinsona added this to the 2.3.x milestone Dec 15, 2020
@wilkinsona wilkinsona self-assigned this Dec 15, 2020
@wilkinsona wilkinsona modified the milestones: 2.3.x, 2.3.8 Jan 11, 2021
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants